%global gem_name shindo
Name:                rubygem-%{gem_name}
Version:             0.3.10
Release:             1
Summary:             Simple depth first Ruby testing
License:             MIT
URL:                 http://github.com/geemus/shindo
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
# 'ubygems' script was dropped from Ruby 2.5.
# https://github.com/geemus/shindo/pull/17
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(formatador) >= 0.1.1
BuildArch:           noarch
%description
Work with your tests, not against them.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
RUBYOPT="-I." bin/shindo
popd

%files
%dir %{gem_instdir}
%{_bindir}/shindo
%{_bindir}/shindont
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/shindo.gemspec
%{gem_instdir}/tests
%{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/CONTRIBUTORS.md
%{gem_instdir}/LICENSE.md

%changelog
* Thu Jun 30 2022 houyingchao <houyingchao@h-partners.com> - 0.3.10-1
- Upgrade to 0.3.10

* Wed Aug 19 2020 xiezheng <xiezheng4@huawei.com> - 0.3.8-1
- package init
